cancel
Showing results for 
Search instead for 
Did you mean: 

Windows 10 SSL VPN version confusion!

Highlighted
Occasional Contributor

Windows 10 SSL VPN version confusion!

Hi everyone,

Hopefully this is a simple question and I have just got a little confused! I will be upgrading the SSL VPN very soon to version 8.0R11 which is the recommended version for the appliance. I was concerned with regards to Windows 10 users, where the latest KB article I was reading said:

What Pulse Secure software versions will support Windows 10?
Connect Secure (SSL VPN server) version 8.1R4 or later
Pulse Secure desktop client for windows version 5.1R4 or later

Does that mean that to work properly on Windows 10, the users need to have Pulse Secure desktop client running 5.1R4 and I need to upgrade the VPN to run 8.1R4 as well? As if I left it at 8.0R11 it wouldn't work?

Hopefully soon 8.1R4 will become a 'recommended release' as we cannot upgrade to that as it stands!

Many thanks in advance!
Tags (1)
7 REPLIES 7
Moderator

Re: Windows 10 SSL VPN version confusion!

You can use the 5.1R4 Pulse client against the 8.0R11 server
Occasional Contributor

Re: Windows 10 SSL VPN version confusion!

Many thanks! I am busy preparing for the upgrade now, ready for next weeks install. Wish me luck!
Moderator

Re: Windows 10 SSL VPN version confusion!

You are welcome; good luck!
Occasional Contributor

Re: Windows 10 SSL VPN version confusion!

My experience so far with Windows 10

SA-6500 running 7.4r13.2
Web component installation: fails using Edge (default browser), succeeds using Internet Explorer 11
*IE 11 is installed on Windows 10 but is not the default so requires user to search for it
Web component launch and function: fails using IE 11+Active X, succeeds using IE11+Java web plug-in
Pulse 4.0.13 (default): Connects but no network interface created
Pulse 5.0.x: Connects and functions properly

Mag-4610 running 8.0r11
Web component installation: fails using Edge (default browser), succeeds using Internet Explorer 11
Web component launch and function: fails using IE 11+Active X, succeeds using IE11+Java web plug-in
Pulse 5.0.11: Connects and functions properly

Are others experiencing similar?
Occasional Contributor

Re: Windows 10 SSL VPN version confusion!

Hiya Braker,

Looks like where you said 'Web component installation: fails using Edge (default browser), succeeds using Internet Explorer 11' this is standard behaviour at the mo, according to the Windows 10 Knowledge Base article:
https://kb.pulsesecure.net/articles/Pulse_Secure_Article/kb29856/

As it states:
When will Pulse Secure support the Edge browser? What is the workaround?
Due to the removal of ActiveX support from the Edge browser, Pulse Secure clients cannot be launched or installed from the Edge browser. The workaround is to use Internet Explorer 11. Pulse Secure is investigating alternative mechanisms for launching Pulse Secure clients from the Edge browser and will provide an update when more information is available.

I have found that when you check on the VPN for 'Status>Active Users, any Windows 10 clients show as Windows Vista! This is now also mentioned in the KB article as I posted that in this forum Friday and it has been confirmed as something to be fixed.

New Contributor

Re: Windows 10 SSL VPN version confusion!

I am running a MAG2610 on 8.1R4. So far, Windows10 works fine with the Pulse Secure client that come with this version (5.1.4 build 60057). Also the webpages work fine except Window Edge does not support ActiveX (Terminal Services control) for Remote Desktop. But Windows 10 also comes with IE11 which does support the ActiveX.

So far, looks like there are no problems.
Occasional Contributor

Re: Windows 10 SSL VPN version confusion!

Many thanks for the update, I have had a few users with niggly issues after upgrading to Windows 10 but nothing that a simply uninstall and reinstall didn't fix. Happy days!